<template>
    <v-card>
        <v-card-title class="d-flex todo-card">
            {{ todo.title }} 
            <div>
                <v-btn x-small @click="edit">Edit</v-btn>
                <v-btn x-small @click="remove">X</v-btn>
            </div>
        </v-card-title>
    </v-card>
</template>

<script>
    export default {
        name: 'TodoItem',
        props:{
            todo: {
                required: true,
            },
            onDelete:{
                required: true,
            },
            onClick:{
                required: true,
            }
        },
        methods:{
            remove(){
                this.onDelete(this.todo.id);
            },
            edit(){
                this.onClick(this.todo);
            }
        }
    }
</script>

<style lang="scss" scoped>
    .todo-card{
        justify-content: space-between;
    }
</style>